

# ListConfiguredModelAlgorithmAssociations
<a name="API_ListConfiguredModelAlgorithmAssociations"></a>

Returns a list of configured model algorithm associations.

## Request Syntax
<a name="API_ListConfiguredModelAlgorithmAssociations_RequestSyntax"></a>

```
GET /memberships/membershipIdentifier/configured-model-algorithm-associations?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListConfiguredModelAlgorithmAssociations_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_ListConfiguredModelAlgorithmAssociations_RequestSyntax) **   <a name="API-ListConfiguredModelAlgorithmAssociations-request-uri-maxResults"></a>
The maximum size of the results that is returned per call.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [membershipIdentifier](#API_ListConfiguredModelAlgorithmAssociations_RequestSyntax) **   <a name="API-ListConfiguredModelAlgorithmAssociations-request-uri-membershipIdentifier"></a>
The membership ID of the member that created the configured model algorithm associations you are interested in.  
Length Constraints: Fixed length of 36.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

 ** [nextToken](#API_ListConfiguredModelAlgorithmAssociations_RequestSyntax) **   <a name="API-ListConfiguredModelAlgorithmAssociations-request-uri-nextToken"></a>
The token value retrieved from a previous call to access the next page of results.  
Length Constraints: Minimum length of 1. Maximum length of 10240.

## Request Body
<a name="API_ListConfiguredModelAlgorithmAssociations_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListConfiguredModelAlgorithmAssociations_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "configuredModelAlgorithmAssociations": [ 
      { 
         "collaborationIdentifier": "string",
         "configuredModelAlgorithmArn": "string",
         "configuredModelAlgorithmAssociationArn": "string",
         "createTime": "string",
         "description": "string",
         "membershipIdentifier": "string",
         "name": "string",
         "updateTime": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListConfiguredModelAlgorithmAssociations_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [configuredModelAlgorithmAssociations](#API_ListConfiguredModelAlgorithmAssociations_ResponseSyntax) **   <a name="API-ListConfiguredModelAlgorithmAssociations-response-configuredModelAlgorithmAssociations"></a>
The list of configured model algorithm associations.  
Type: Array of [ConfiguredModelAlgorithmAssociationSummary](API_ConfiguredModelAlgorithmAssociationSummary.md) objects

 ** [nextToken](#API_ListConfiguredModelAlgorithmAssociations_ResponseSyntax) **   <a name="API-ListConfiguredModelAlgorithmAssociations-response-nextToken"></a>
The token value used to access the next page of results.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 10240.

## Errors
<a name="API_ListConfiguredModelAlgorithmAssociations_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The request parameters for this request are incorrect.  
HTTP Status Code: 400

## See Also
<a name="API_ListConfiguredModelAlgorithmAssociations_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/cleanroomsml-2023-09-06/ListConfiguredModelAlgorithmAssociations) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/cleanroomsml-2023-09-06/ListConfiguredModelAlgorithmAssociations) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/cleanroomsml-2023-09-06/ListConfiguredModelAlgorithmAssociations) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/cleanroomsml-2023-09-06/ListConfiguredModelAlgorithmAssociations) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/cleanroomsml-2023-09-06/ListConfiguredModelAlgorithmAssociations) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/cleanroomsml-2023-09-06/ListConfiguredModelAlgorithmAssociations) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/cleanroomsml-2023-09-06/ListConfiguredModelAlgorithmAssociations) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/cleanroomsml-2023-09-06/ListConfiguredModelAlgorithmAssociations) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/cleanroomsml-2023-09-06/ListConfiguredModelAlgorithmAssociations) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/cleanroomsml-2023-09-06/ListConfiguredModelAlgorithmAssociations) 